de.katho.kBorrow.converter

## Class LenderNameConverter

- java.lang.Object
- - org.jdesktop.swingx.autocomplete.ObjectToStringConverter
  - - de.katho.kBorrow.converter.LenderNameConverter

    public class LenderNameConverter
    extends org.jdesktop.swingx.autocomplete.ObjectToStringConverter

Wird benötigt, um die Namen einer Liste von KLender-Objekten in einem SwingX-Widget anzuzeigen.

### Field Summary

### Fields inherited from class org.jdesktop.swingx.autocomplete.ObjectToStringConverter

`DEFAULT_IMPLEMENTATION`

### Constructor Summary

Constructors
Constructor and Description
`LenderNameConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getPreferredStringForItem(java.lang.Object pItem)` Gibt zu einem KLender-Objekt den Namen zurück.

### Methods inherited from class org.jdesktop.swingx.autocomplete.ObjectToStringConverter

`getPossibleStringsForItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LenderNameConverter

    public LenderNameConverter()

### Method Detail

#### getPreferredStringForItem

    public java.lang.String getPreferredStringForItem(java.lang.Object pItem)

Gibt zu einem KLender-Objekt den Namen zurück.

Specified by:
  `getPreferredStringForItem` in class `org.jdesktop.swingx.autocomplete.ObjectToStringConverter`
Parameters:
  `pItem` - Beliebiges Objekt, idealerweise ein KLender-Objekt
Returns:
  Null, wenn das übergeben Objekt kein KLender-Objekt ist, ansonsten den Namen des Objekts.